Ядро & Оборудование

Обновление OpenGL до 4.5

Всех приветствую!

У меня из-за версии OpenGL 3.0 не работают некоторые игры через wine! Просьба сильно не пинать, что я не на виндувсе. Виндувс съедает ноутбучные ресурсы чуть менее, чем полностью. Кроме того, в пиратках исошек виндувса уже заботливо внедрены вирусы и трояны. Владельцы видях nvidia спокойно играют в свои игры на linux, а обладающие видеокартами AMD Radeon игры не запускаются на свободных дровах. Поприетарные дрова не работают(amdgpu-pro, catalyst/fglrx). У обоих просто чёрный экран с чёрточкой в левом верхнем углу экрана! Ноут покупал, когда был вообще не знаком с линуксом и выбрал с виндувсом, потом через год стёр виндувсовский раздел.

Вывод DRI_PRIME=1 glxinfo | grep OpenGL

OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD ICELAND (DRM 3.8.0 / 4.9.20-1-MANJARO, LLVM 3.9.1)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.0.2
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 17.0.2
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.1 Mesa 17.0.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.10
OpenGL ES profile extensions:


Что за версия 3.0, если самая новая 4.5???
Как сделать чтобы обе были 4.5?
Через DRI_PRIME=1 glxgears шестерёнки крутятся.
Вывод lspci | grep Display (Дискретная карта)

01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445]
Софт

Wine/.Net

Доброго времени.
Многие сталкивались наверное с трудностями установки .Net в Linux через winetricks.
Большинство компонентов я перенёс из Mint Game Edition, из тамошней папки wine в свою, под Manjaro KDE Minimal. Всего, что мне нужно, к сожалению, и там не оказалось. Пробовал доустанавливать (неоднократно и безуспешно) .Net'у. Версий 1, 1.1, 2.0, 30, 40 по прежнему нет. Читать дальше